searchData={"items":[{"type":"module","title":"EsbFireplace","doc":"Documentation for `EsbFireplace`.\n\nThe FIREPLACEv1.0 allows the use of the `esb` tooling for solving Advent of Code problems.\nThis is an implementation of FIREPLACEv1.0 for Elixir.\n\nCheck [esb](https://github.com/luxedo/esb) for more information.","ref":"EsbFireplace.html"},{"type":"function","title":"EsbFireplace.v1_run/2","doc":"Runs solutions given solution functions.","ref":"EsbFireplace.html#v1_run/2"},{"type":"function","title":"EsbFireplace.v1_run/3","doc":"Runs solutions given additional arguments and solution functions.","ref":"EsbFireplace.html#v1_run/3"},{"type":"extras","title":"EsbFireplace - Elixir","doc":"# EsbFireplace - Elixir\n\nThe FIREPLACEv1.0 allows the use of the `esb` tooling for solving Advent of Code problems.\nThis is an implementation of FIREPLACEv1.0 for [elixir](https://elixir-lang.org/).\n\nCheck [esb](https://github.com/luxedo/esb) for more information.","ref":"readme.html"},{"type":"extras","title":"Installation - EsbFireplace - Elixir","doc":"The package can be installed by adding `esb_fireplace` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:esb_fireplace, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - EsbFireplace - Elixir","doc":"Create a function named `start` in your solution file and add `EsbFireplace.v1_run` to it.\n\n```elixir\ndefmodule Year2023Day01 do\n  import EsbFireplace\n\n  def solve_pt1(input_data, _args) do\n    # Solve pt1\n    :hello\n  end\n\n  def solve_pt2(input_data, _args) do\n    # Solve pt2\n    :world\n  end\n\n  def start do\n    # 🎅🎄❄️☃️🎁🦌\n    # Bright christmas lights HERE\n    v1_run(&solve_pt1/2, &solve_pt2/2)\n  end\nend\n```\n\nRunning can be done with `mix`, but this library is meant to be used with [esb](https://github.com/luxedo/esb).\n\n```bash\n# You can do this...\nmix run -e Year2023Day01.start -- --part 1  .","ref":"readme.html#usage"},{"type":"extras","title":"License - EsbFireplace - Elixir","doc":"> ESB - Script your way to rescue Christmas as part of the ElfScript Brigade team.\n> Copyright (C) 2024 Luiz Eduardo Amaral  \n>\n> This program is free software: you can redistribute it and/or modify\n> it under the terms of the GNU General Public License as published by\n> the Free Software Foundation, either version 3 of the License, or\n> (at your option) any later version.\n> This program is distributed in the hope that it will be useful,\n> but WITHOUT ANY WARRANTY; without even the implied warranty of\n> MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\n> GNU General Public License for more details.\n> You should have received a copy of the GNU General Public License\n> along with this program. If not, see  .","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}